Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.swing.impl
Class TableLayoutCell

    java.lang.Object
      groovy.swing.impl.TableLayoutCell

All Implemented Interfaces:
  ContainerFacade

    public class TableLayoutCell

extends Object
implements ContainerFacade

Represents a cell in a table layout.

Version:
  $Revision: 6778 $
Author:
  James Strachan

Field Summary
`protected static Logger` | `LOG`

Constructor Summary
`TableLayoutCell(TableLayoutRow parent)`

Method Summary
`void` | `addComponent(Component component)`
`protected GridBagConstraints` | `createConstraints()`
`protected int` | `getAnchor()`
`int` | `getColspan()`
`Component` | `getComponent()`
`GridBagConstraints` | `getConstraints()`
`int` | `getRowspan()`
`boolean` | `isColfill()` Returns the colfill.
`boolean` | `isRowfill()` Returns the rowfill.
`void` | `setAlign(String align)` Sets the horizontal alignment to a case insensitive value of {LEFT, CENTER, RIGHT}
`void` | `setColfill(boolean colfill)` Sets whether or not this column should allow its component to stretch to fill the space available
`void` | `setColspan(int colspan)` Sets the number of columns that this cell should span.
`void` | `setRowfill(boolean rowfill)` Sets whether or not this row should allow its component to stretch to fill the space available
`void` | `setRowspan(int rowspan)` Sets the number of rows that this cell should span.
`void` | `setValign(String valign)` Sets the vertical alignment to a case insensitive value of {TOP, MIDDLE, BOTTOM}

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LOG

    protected static final Logger LOG

Constructor Detail

### TableLayoutCell

    public TableLayoutCell(TableLayoutRow parent)

Method Detail

### getColspan

    public int getColspan()

### getRowspan

    public int getRowspan()

### addComponent

    public void addComponent(Component component)

  Specified by:
    `addComponent` in interface `ContainerFacade`

### getComponent

    public Component getComponent()

### setAlign

    public void setAlign(String align)

  Sets the horizontal alignment to a case insensitive value of {LEFT, CENTER, RIGHT}

### setValign

    public void setValign(String valign)

  Sets the vertical alignment to a case insensitive value of {TOP, MIDDLE, BOTTOM}

### setColspan

    public void setColspan(int colspan)

  Sets the number of columns that this cell should span. The default value is 1

### setRowspan

    public void setRowspan(int rowspan)

  Sets the number of rows that this cell should span. The default value is 1

### isColfill

    public boolean isColfill()

  Returns the colfill.

  Returns:
    boolean

### isRowfill

    public boolean isRowfill()

  Returns the rowfill.

  Returns:
    boolean

### setColfill

    public void setColfill(boolean colfill)

  Sets whether or not this column should allow its component to stretch to fill the space available

### setRowfill

    public void setRowfill(boolean rowfill)

  Sets whether or not this row should allow its component to stretch to fill the space available

### getConstraints

    public GridBagConstraints getConstraints()

  Returns:
    the constraints of this cell

### createConstraints

    protected GridBagConstraints createConstraints()

### getAnchor

    protected int getAnchor()

  Returns:
    the GridBagConstraints enumeration for anchor

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2008 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD